Subject: [PATCH v6 3/3] input: samsung-keypad - Add samsung keypad driver

From: [email-masked] (Joonyoung Shim)
Date: Mon, 02 Aug 2010 12:09:16 +0900

Hi, I came back from vacation.

>>>> Do you have any feedback? If ok, i want to go to input tree or samsung
>>>> tree these added sched.h including.
>>> I applied the patch adding samsung-keypad.c and the platform data
>>> arch/arm/plat-samsung/include/plat/keypad.h and I expect that
>>> patches to actually enable keypad will go through appropriate
>>> platform tree(s).
>>>
>> OK, the rest will go through samsung platform tree
>>
> Ok..will apply.
> 

Kukjin, could you remove keypad.h on the commit "ARM: SAMSUNG: Add 
keypad device support" of the samsung platform tree. The keypad.h file
was included on input tree.
(http://git.kernel.org/?p=linux/kernel/git/dtor/input.git;a=commit;h=0fffed27f92d9d7a34de9fe017b7082b5958bb93)

>>> The only caveat is that I removed declarations for copying platform data
>>> around and for gpio config function - if it is there there is no point
>>> of invoking it through the pointer in platform data.
>>>
>> I agree, but currently samsung platform framework uses such this way. I
>> believe these can change later at once.
>>

Dmitry, could you apply original keypad.h. We can get problem such this
on most samsung device driver too. As i said before, these can be fixed
later.

>>> Overall I am confused why you set up keypad in platform code in the
>>> way you do. I'd put the device definitions and all supporting functions
>>> in the same module that registers platform device and be done with it.
>>>
>> Thanks.
> 
> 
> Thanks.
> 
> Best regards,
> Kgene.
> --
> Kukjin Kim <[email-masked]>, Senior Engineer,
> SW Solution Development Team, Samsung Electronics Co., Ltd.
> 
> 
> _______________________________________________
> linux-arm-kernel mailing list
> linux-arm-kernel at lists.infradead.org
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel
>